/*-------------------------------------------------------------
 * ClassName :
 *   ErrMsgWindow.java
 * 
 * Description :
 *   G[ʗpSwingNX@
 * 
 * -----------------------------------------------------------
 * ύXF
 *  2004/02/28 : EclipseLauncher Version2 ɍ킹VK쐬
 * 
 *------------------------------------------------------------*/

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;


/**
 * @author M.Iwanaga
 */
class ErrMsgWindow extends JFrame {

	/* bZ[W敪\pl */
	private JPanel kbnPanel;	
	/* bZ[W\pl */
	private JPanel msgPanel;
	/* {^zupl */
	private JPanel bottonPanel;
	/* Window̃^Cgo[*/
	private static String title = "EclipseLauncher - G[";
	/* \G[bZ[W */
	private String msg;
	/* G[敪\x */
	private JLabel errKbnLabel;
	/* G[bZ[W\x */
	private JLabel errMsgLabel;
	/* ""{^ */
	private JButton closeButton;
	
	/* G[敪: config.propertiesG[ */
	static int CFGPROPERTIES_ERR = 1;
	/* config.propertiesG[ */
	private String cfgPropErr = "yconfig.propertiesG[z";
		
	/**
	 * RXgN^[
	 */
	ErrMsgWindow(){
		super(title);
		/* plERei[ */
		msgPanel = new JPanel();
		bottonPanel = new JPanel();
		
		/* I̐U镑w */
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		/* ""{^ */
		closeButton = new JButton("");
		this.addActions();
		bottonPanel.add(closeButton);
	}
	
	/**
	 * RXgN^[
	 */
	ErrMsgWindow(int ERRKBNCODE){
		super(title);
		/* pl */
		kbnPanel = new JPanel();
		msgPanel = new JPanel();
		bottonPanel = new JPanel();
		
		/* I̐U镑w */
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		/* G[敪\ */
		switch (ERRKBNCODE) {
			case 1:
				errKbnLabel = new JLabel(cfgPropErr);
				kbnPanel.add(errKbnLabel);
				break;
		}
		
		/* ""{^ */
		closeButton = new JButton("");
		this.addActions();
		bottonPanel.add(closeButton);

	}
	
	void windowCreate(){
		Container container = this.getContentPane();
		container.add(kbnPanel, BorderLayout.NORTH);
		container.add(msgPanel, BorderLayout.CENTER);
		container.add(bottonPanel, BorderLayout.SOUTH);
		
	}
	
	private class CloseAction implements ActionListener{
		public void actionPerformed(ActionEvent e) {
			System.exit(0);
		}
	}
	
	private void addActions(){
		ActionListener closeAction = new CloseAction();
		closeButton.addActionListener(closeAction);
	}
	
	/**
	 * \G[bZ[WZbg
	 * @param string
	 */
	public void setMsg(String msg) {
		this.msg = msg;
		
		/* G[bZ[W */
		errMsgLabel = new JLabel(msg);
		msgPanel.add(errMsgLabel);
	}
	
	public static void main(String[] args){
		long begine = System.currentTimeMillis();
		System.out.println(begine);
		//String title = "EclipseLauncher - G[";
		ErrMsgWindow win = new ErrMsgWindow();
		win.setMsg("TEST");
		win.windowCreate();
		win.setBounds( 10, 10, 300, 200);
		win.setVisible(true);
		long loadtime = System.currentTimeMillis() - begine;
		System.out.println("LoadTime = " + loadtime);
		
	}

}
