/*-------------------------------------------------------------
 * ClassName :
 *   Launcher.java
 * 
 * Description :
 *   EclipseLauncher̋NNXB
 * @config.properties̐`FbNsȀُꍇ̓G[
 * @EBhE(ErrMsgWindow)\B@
 * 
 * -----------------------------------------------------------
 * ύXF
 *  2004/02/28 : EclipseLauncher Version2 ɍ킹VK쐬
 * 
 *------------------------------------------------------------*/

import java.io.File;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * @author M.Iwanaga
 *
 */
public class Launcher {
	private static ResourceBundle config;
	// \[XEoh̃t@C
	private static String resourceCfgName = "config";
	// \[XEohEclipsewpXϐ
	private static String varNameOfEclipsePath = "eclipse_path";
	//	\[XEoh̃ftHgwpXϐ
	private static String varNameOfDefaultPath = "default_path";
	// EclipsẽpX
	private static String eclipsePath;
	// [NXy[X̃ftHg쐬fBNg
	private static String defaultPath;
	
	// ConfigFileNotFoundG[bZ[W
	private static String configNotFoundMsg 
		= "config.properties܂";
	// eclipse_pathwG[
	private static String eclipsePathNotFoundMsg
		= "config.propertiesɁueclipse_pathvݒ肳Ă܂";
	// eclipse_pathG[
	private static String invalidPathMsg
		= "ueclipse_pathvɎw肳ꂽꏊɃt@C܂";
	
	/**
	 * G[\EBhEN
	 * @param msg
	 */
	private static void loadErrWindow(int ERRKBNCODE, String msg){
		ErrMsgWindow errWindow = new ErrMsgWindow(ERRKBNCODE);
		errWindow.setMsg(msg);
		errWindow.windowCreate();
		errWindow.setBounds( 10, 10, 400, 120);
		errWindow.setVisible(true);		
	}
	
	public static void main(String[] args) {

		//long now = System.currentTimeMillis();
		//System.out.println("START => " + now);
		
		String msg = "vOُł";
		try {
			/*
			 * config.properties 擾
			 */
			try {
				config = ResourceBundle.getBundle(resourceCfgName);
			}
			catch (MissingResourceException e) {
				msg = configNotFoundMsg;
				throw new EclipseLauncherCfgException();
			}
			
			/*
			 * config.properties 'eclipse_path'Ǎ
			 */
			try{
				eclipsePath = config.getString(varNameOfEclipsePath);
				if (eclipsePath == null || eclipsePath.equals("")){
					EclipseLauncherCfgException e = 
						new EclipseLauncherCfgException();
					throw e;
				}
			}
			catch (EclipseLauncherCfgException e) {
				msg = eclipsePathNotFoundMsg;
				throw e;		
			}
			catch (MissingResourceException e){
				msg = eclipsePathNotFoundMsg;
				throw new EclipseLauncherCfgException();
			}
			
			/*
			 * eclipse_pathɎw肳ꂽꏊɃt@C邩mF
			 */
			 try {
				File eclipseExe = new File(eclipsePath);
				if (!(eclipseExe.exists())){
					EclipseLauncherCfgException e = 
						new EclipseLauncherCfgException();
					throw e;
				}
			 }
			 catch (EclipseLauncherCfgException e) {
				msg = invalidPathMsg;
				throw e;
			 }
			 
			/*
			 * config.properties 'default_path'Ǎ
			 */
			try {
				defaultPath = config.getString(varNameOfDefaultPath);
			}
			catch (MissingResourceException e){}
			
			EclipseLauncher eclipseLauncher 
				= new EclipseLauncher(eclipsePath, defaultPath);
						
		}
		catch (EclipseLauncherCfgException e){
			loadErrWindow(ErrMsgWindow.CFGPROPERTIES_ERR, msg);
			//System.exit(1);
		}		
	}
}
